Subject: [Shop-talk] shop business software

From: "Steve Hammatt, Mount Vernon WA USA" <[email-masked]>
Date: Thu, 3 Jan 2013 14:49:27 -0800

Since Ibm looking for some cheap or free software for
my one man business (so that I can spend more time
in my shop) I suspect that many others have been in the same
position.  I hope that some can share with me what youbve
learned.

I am retired and now have a very small one man business
and would like to get better organized by utilizing some of
the free or very low cost business software.  I need to track
customer orders usually with payments, shipments,
purchase orders, payables and other misc. expenses.
I do not need any employee salaries, etc.

Your feedback is appreciated.

Steve Hammatt
Mount Vernon WA USA
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive